Skip to main content
DELETE
/
phone-numbers
/
outgoing
/
conversation
/
{conversationId}
/
override
Clears conversation override.
curl --request DELETE \
  --url https://api.leadping.ai/phone-numbers/outgoing/conversation/{conversationId}/override
{
  "canSend": true,
  "setupMessage": "<string>",
  "phoneNumberId": "<string>",
  "number": "<string>",
  "displayNumber": "<string>",
  "healthLabel": "<string>",
  "healthWarning": "<string>",
  "reasonLabel": "<string>",
  "wasManuallyOverridden": true,
  "campaignId": "<string>",
  "sourceId": "<string>",
  "eligibleNumbers": [
    {
      "phoneNumberId": "<string>",
      "number": "<string>",
      "displayNumber": "<string>",
      "healthLabel": "<string>",
      "healthWarning": "<string>",
      "canSend": true,
      "reasonLabel": "<string>",
      "label": "<string>",
      "campaignId": "<string>",
      "sourceId": "<string>",
      "teamId": "<string>",
      "isSelected": true
    }
  ]
}

Path Parameters

conversationId
string
required

The conversation identifier.

Response

Returns the outgoing number selection response.

API response containing outgoing number selection data returned to callers.

canSend
boolean

Whether the caller can send this outgoing number selection.

setupMessage
string | null

The setup message value for this outgoing number selection.

phoneNumberId
string | null

The phone number ID associated with this outgoing number selection.

number
string | null

The number value for this outgoing number selection.

displayNumber
string | null

The display number value for this outgoing number selection.

healthStatus
enum<string> | null

Defines the supported SMS Warmup Health State values.

Available options:
Not Started,
Warming,
Healthy,
Needs Attention,
Paused,
Blocked,
Ready
healthLabel
string | null

The health label value for this outgoing number selection.

healthWarning
string | null

The health warning value for this outgoing number selection.

selectionReason
enum<string> | null

Defines the supported Outgoing Number Selection Reason values.

Available options:
StickyConversation,
LeadAssigned,
CampaignOrSource,
Preferred,
LocalArea,
HealthyPool,
FallbackDefault,
ManualOverride
reasonLabel
string | null

The reason label value for this outgoing number selection.

wasManuallyOverridden
boolean

Whether this outgoing number selection was manually overridden.

campaignId
string | null

The campaign ID associated with this outgoing number selection.

sourceId
string | null

The source ID associated with this outgoing number selection.

eligibleNumbers
object[]

The eligible numbers included with this outgoing number selection.